spring:
  application:
    name: wftoy-sign
  config:
    import: "optional:configserver:http://localhost:8888"
  profiles:
    active: local
  r2dbc:
    url: r2dbc:postgresql://localhost:9005/toy #?useUnicode=true&characterEncoding=utf8&useSSL=false&serverTimezone=Asia/Seoul
    username: hans
    password: hans1@3
    pool:
      max-size: 100
#      validation-query: SELECT 1
logging:
  level:
    org:
      springframework:
        data:
          r2dbc: DEBUG
server:
  port: 0

springdoc.api-docs.path : /openapi/${spring.application.name}

#eureka:
#  instance:
#    metadataMap:
#      instanceId: ${spring.cloud.client.hostname}:${spring.application.name}:${spring.application.instance_id:${random.value}}

eureka:
  client:
    registry-fetch-interval-seconds: 5
  instance:
    lease-renewal-interval-in-seconds: 5
    instance-id: ${spring.application.name}:${spring.application.instance_id:${random.value}}

---
spring:
  config:
    activate:
      on-profile: local

eureka:
  client:
    enabled: true

---
spring:
  config:
    activate:
      on-profile: k8s

eureka:
  client:
    enabled: false

